## librnd 3.1.0

=== Makefile ===
all: FORCE
	cd src && $(MAKE) ../src_3rd/puplug/util/puplug
	cd src && $(MAKE)
	cd util && $(MAKE)
#	cd doc && $(MAKE)

test: FORCE
	cd tests && $(MAKE) test

clean: FORCE
	cd src && $(MAKE) clean
	cd util && $(MAKE) clean
#	cd doc && $(MAKE) clean
	cd tests && $(MAKE) clean
	cd src_3rd/sphash && $(MAKE) clean
	cd src_3rd/genht && $(MAKE) clean
	cd src_3rd/puplug && $(MAKE) clean
	cd src_3rd/libminuid && $(MAKE) clean ; true
	cd src_3rd/libuundo && $(MAKE) clean ; true

# Note: have to distclean utils (and tests) before src because of hidlib deps
distclean: FORCE
	$(MAKE) clean ; true
#	cd doc && $(MAKE) distclean
	cd src && $(MAKE) distclean
	cd src_3rd/genlist && $(MAKE) clean ; true
	cd src_3rd/genregex && $(MAKE) clean ; true
	cd src_3rd/genvector && $(MAKE) clean ; true
	cd src_3rd/liblihata && $(MAKE) clean ; true
	cd src_3rd/liblihata/genht && $(MAKE) clean ; true
	cd src_3rd/qparse && $(MAKE) clean ; true
	cd src_3rd/libporty_net && $(MAKE) distclean ; true
	cd scconfig && $(MAKE) distclean ; true


install: FORCE
	cd src && $(MAKE) install
	cd util && $(MAKE) install
	cd doc && $(MAKE) install

linstall: FORCE
	cd src && $(MAKE) linstall
	cd util && $(MAKE) linstall
	cd doc && $(MAKE) linstall

uninstall: FORCE
	cd src && $(MAKE) uninstall
	cd util && $(MAKE) uninstall
	cd doc && $(MAKE) uninstall

include Makefile.conf

FORCE:

=== scconfig/Makefile ===
# --- configuration part --

# - generic configuration -
SRC=src
BIN=src

#  what cflags to use to compile scconfig
USER_CFLAGS = -DGENCALL -Isrc $(LIBRND_CFLAGS)
#USER_CFLAGS = -Wall -Wextra -g -DGENCALL -Isrc

#  what ldflags to use to link scconfig
USER_LDFLAGS =

#  in case hooks.c needs to link to something local
USER_OBJS = src/util/arg_auto_set.o

#  what to build - a ./configure
all: configure cquote

# This line imports scconfig core and default tests
include src/default/Makefile.plugin

#
# - PLUGINS -
#
#  Comment this line if you are not interested in c99 features
include src/c99/Makefile.plugin

#  Comment this line if you do not need script libs to be detected
include src/scripts/Makefile.plugin

#  Comment this line if you do not need parser libs to be detected
# include src/parser/Makefile.plugin

#  Comment this line if you do not need to detect parser generators
include src/parsgen/Makefile.plugin

#  Comment this line if you do not need math related libs
include src/math/Makefile.plugin

#  Comment this line if you do not need socket/networking
include src/socket/Makefile.plugin

#  Comment this line if you do not need user/password API detection
include src/userpass/Makefile.plugin

#  Comment this line if you do not need gui (X11, toolkits)
include src/gui/Makefile.plugin

#  Comment this line if you do not need software utility libs (glib)
include src/sul/Makefile.plugin

#  Uncomment this line if you need menus
include src/menulib/Makefile.plugin

#  Comment this line if you do not need generator (templating)
include src/generator/Makefile.plugin.legacy

#  Comment this line if you do not need tmpasm (templating)
include src/tmpasm/Makefile.plugin

# --- you shouldn't edit the lines below ---
OBJS = $(USER_OBJS) hooks.o $(DEFAULT_NOMAIN_OBJS) $(SCRIPT_OBJS) $(PARSER_OBJS) $(GENERATOR_OBJS) $(TMPASM_OBJS) $(C99_OBJS) $(PARSGEN_OBJS) $(MATH_OBJS) $(SOCKET_OBJS) $(USERPASS_OBJS) $(GUI_OBJS) $(SUL_OBJS)
CFLAGS = $(USER_CFLAGS) $(DEFAULT_CFLAGS) $(SCRIPT_CFLAGS) $(PARSER_CFLAGS) $(GENERATOR_CFLAGS) $(TMPASM_CFLAGS) $(C99_CFLAGS) $(PARSGEN_CFLAGS) $(MATH_CFLAGS) $(SOCKET_CFLAGS) $(USERPASS_CFLAGS) $(GUI_CFLAGS)  $(SUL_CFLAGS) $(MENULIB_CFLAGS) -Isrc/default -I.
LDFLAGS = $(USER_LDFLAGS) $(DEFAULT_LDFLAGS) $(SCRIPT_LDFLAGS) $(PARSER_LDFLAGS) $(GENERATOR_LDFLAGS) $(TMPASM_LDFLAGS) $(C99_LDFLAGS) $(PARSGEN_LDFLAGS) $(MATH_LDFLAGS) $(SOCKET_LDFLAGS) $(USERPASS_LDFLAGS) $(GUI_LDFLAGS) $(SUL_LDFLAGS) $(MENULIB_LDFLAGS)

all: configure revtest sccbox

revtest: revtest.o
	$(CC) -o revtest revtest.o

revtest.o: revtest.c  Rev.h
	$(CC) -c $(CFLAGS) -o revtest.o revtest.c

configure: $(OBJS)  $(DEFAULT_MAIN_OBJS)
	$(CC) -o configure $(OBJS)  $(DEFAULT_MAIN_OBJS)

menuconfig: menucfg
	./menucfg

menucfg: $(OBJS) $(MENULIB_OBJS) src/default/main_lib.o src/default/main_custom_args.o menucfg.o src/util/arg_auto_menu.o src/util/arg_auto_set.o
	$(CC) -o menucfg $(OBJS) $(MENULIB_OBJS) menucfg.o src/default/main_lib.o src/default/main_custom_args.o src/util/arg_auto_menu.o

menucfg.o: menucfg.c
	$(CC) -c $(CFLAGS) -o menucfg.o menucfg.c

LIBRND_CFLAGS=-I../src 
LIBRNDSCC=../src/librnd/scconfig
RNDHOOKS=$(LIBRNDSCC)/plugin_3state.h $(LIBRNDSCC)/hooks_common.h $(LIBRNDSCC)/rnd_hook_detect.h
hooks.o: hooks.c $(RNDHOOKS)  plugins.h Rev.h ../src_3rd/puplug/scconfig_hooks.h ../src_3rd/libfungw/scconfig_hooks.h ../src_3rd/libporty_net/hooks_net.c

src/util/arg_auto_set.o: src/util/arg_auto_set.c src/util/arg_auto_set.h
	$(CC) -c $(CFLAGS) -o src/util/arg_auto_set.o src/util/arg_auto_set.c

src/util/sccbox.o: src/util/sccbox.c
	$(CC) -c $(CFLAGS) -o src/util/sccbox.o src/util/sccbox.c

sccbox: src/util/sccbox.o
	$(CC) $(LDFLAGS) -o sccbox src/util/sccbox.o

cquote: src/util/cquote.c
	$(CC) $(CFLAGS) $(LDFLAGS) -o cquote src/util/cquote.c

clean:
	-rm $(OBJS) $(DEFAULT_MAIN_OBJS) configure revtest revtest.o cquote core src/util/sccbox.o

distclean:
	-rm ../config.h ../Makefile.conf ../src/Makefile ../util/gsch2pcb-rnd/Makefile config.cache config.log Rev.stamp sccbox gmon.out ../src_3rd/puplug/Makefile ../src_3rd/puplug/config.h ../src_plugins/lib_hid_gl/opengl.h
	-$(MAKE) clean

=== tests/Makefile ===
test:
	cd rnd_printf && $(MAKE) all && $(MAKE) test
	cd remote && $(MAKE) all && $(MAKE) test
# This uses make instead of $(MAKE) on purpose as a "portable" -j1 to work around GNU make
	cd librnd && make all && make test
	@echo " "
	@echo "+-------------------------------------------------+"
	@echo "+  All tests passed, librnd is safe to install.   +"
	@echo "+-------------------------------------------------+"

clean:
	cd rnd_printf && $(MAKE) clean
	cd remote && $(MAKE) clean
	cd librnd && $(MAKE) clean

=== util/Makefile ===
# plain old hand crafted Makefile
ROOT=..

all:

include $(ROOT)/Makefile.conf

clean:

distclean:

install_all:
#	$(SCCBOX) mkdir -p  "$(BINDIR)" "$(LIBDIR)"

install:
	$(MAKE) install_all HOW="install -f"

linstall:
	$(MAKE) install_all HOW="linstall -f"

uninstall:
	$(MAKE) install_all HOW="uninstall"

=== tests/librnd/Makefile ===
TRUNK = ../..
LIBRND_ROOT=include/$(HL_LIBDIR)/..

include $(TRUNK)/Makefile.conf
include $(TRUNK)/src/librnd/core/librnd.mak

CFLAGS =  -I$(LIBRND_ROOT)/include -I$(LIBRND_ROOT)/include/librnd/src_3rd $(PCB_RND_C89FLAGS) $(CFLAGS_LIBRND)
LDFLAGS = $(LIBRND_RDYNAMIC) $(LDFLAGS_LIBRND)
LIBRND = include/$(HL_LIBDIR)/librnd-poly.a include/$(HL_LIBDIR)/librnd-hid.a include/$(HL_LIBDIR)/librnd-3rd.a

all: librnd_test librnd_includes

test: librnd_test librnd_includes
	./librnd_test --gui batch
	./librnd_includes

librnd_test: librnd_test.o $(LIBRND)
	$(CC) -o librnd_test librnd_test.o $(LIBRND) $(LDFLAGS)

librnd_test.o: librnd_test.c includes
	$(CC) $(CFLAGS) -c -o librnd_test.o librnd_test.c

librnd_includes: librnd_includes.o $(LIBRND)
	$(CC) -o librnd_includes librnd_includes.o $(LIBRND) $(LDFLAGS)

librd_includes.o: librnd_includes.c includes

$(LIBRND) includes: ../../src/Makefile
	TDIR=`pwd` && cd ../../src && $(MAKE) && $(MAKE) install HOW="install -f" DESTDIR=$$TDIR/include PREFIX=

clean:
	-rm librnd_test librnd_test.o librnd_includes librnd_includes.o inc_all.h
	-TDIR=`pwd` && cd ../../src && $(MAKE) uninstall HOW="uninstall -f" DESTDIR=$$TDIR/include PREFIX=
	-rm -rf include/usr

=== tests/rnd_printf/Makefile ===
TRUNK = ../..

all: tester tester_spd prcli prclimq

ROOT=../..
include $(ROOT)/Makefile.conf

SRC=$(TRUNK)/src
LIBRND=$(SRC)/librnd
CFLAGS_OP = -O3
CFLAGS = $(PCB_RND_C89FLAGS) -I$(TRUNK) -I$(SRC) -I$(TRUNK)/src_3rd -I$(TRUNK)/src_3rd/liblihata
LDLIBS = -lm

LIBPCB_BASE=$(SRC)/librnd-hid.a $(SRC)/librnd-3rd.a

include $(LIBRND)/core/librnd.mak
LDFLAGS = $(LDFLAGS_LIBRND)


test: tester.diff
	@echo "pcb-printf:          *** QC PASS ***"
	@rm tester.stdout ; true

prcli: prcli.o $(LIBRND)/core/rnd_printf.o $(LIBRND)/core/misc_util.o $(LIBPCB_BASE) $(GDS)
	$(CC)  -o prcli prcli.o $(LIBRND)/core/rnd_printf.o $(LIBRND)/core/misc_util.o $(LIBPCB_BASE) $(LDFLAGS)  $(LDLIBS)

prclimq: prclimq.o $(LIBRND)/core/rnd_printf.o $(LIBRND)/core/misc_util.o $(LIBPCB_BASE) $(GDS)
	$(CC)  -o prclimq prclimq.o $(LIBRND)/core/rnd_printf.o $(LIBRND)/core/misc_util.o $(LIBPCB_BASE) $(LDFLAGS) $(LDLIBS)

prcli.o: prcli.c
	$(CC) -c $(CFLAGS) prcli.c -o prcli.o

prclimq.o: prclimq.c
	$(CC) -c $(CFLAGS) prclimq.c -o prclimq.o

tester: tester.o $(LIBRND)/core/rnd_printf.o $(LIBPCB_BASE)
	$(CC)  -o tester tester.o $(LIBRND)/core/rnd_printf.o $(LIBPCB_BASE) $(LDFLAGS) $(LDLIBS)

tester_spd: tester_spd.o $(LIBRND)/core/rnd_printf_spd.o $(LIBPCB_BASE)
	$(CC) -o tester_spd tester_spd.o $(LIBRND)/core/rnd_printf_spd.o $(LIBPCB_BASE) $(LDFLAGS) $(LDLIBS)

tester.o: tester.c
	$(CC) -c $(CFLAGS) -o $@ tester.c

tester_spd.o: tester.c
	$(CC) -c $(CFLAGS_OP) -DSPEED $(CFLAGS) -o $@ tester.c

tester.stdout: tester
	./tester > tester.stdout

tester.diff: tester.stdout
	diff -u tester.ref tester.stdout

$(LIBRND)/core/rnd_printf.o: $(LIBRND)/core/rnd_printf.c $(LIBRND)/core/rnd_printf.h

$(LIBRND)/core/unit.o: $(LIBRND)/core/unit.c $(LIBRND)/core/unit.h

$(LIBRND)/core/rnd_printf_spd.o: $(LIBRND)/core/rnd_printf.c $(LIBRND)/core/rnd_printf.h
	$(CC) -c $(CFLAGS_OP) -DSPEED $(CFLAGS) -o $@ $(LIBRND)/core/rnd_printf.c

clean:
	-$(SCCBOX) rm -f tester tester.o prcli prcli.o tester_spd tester_spd.o prclimq prclimq.o $(LIBRND)/core/rnd_printf_spd.o

=== debian/changelog ===
librnd (3.1.0-3) unstable; urgency=medium

  * librnd3-dev needs to depend on fungw and genht for linking to be reliable

 -- Bdale Garbee <bdale@gag.com>  Thu, 24 Feb 2022 09:21:52 -0700

librnd (3.1.0-2) unstable; urgency=medium

  * turn on fungw support now that it's packaged in Debian

 -- Bdale Garbee <bdale@gag.com>  Sat, 08 Jan 2022 11:08:19 -0700

librnd (3.1.0-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Wed, 15 Dec 2021 15:41:03 -0700

librnd (3.0.2-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Wed, 10 Nov 2021 10:35:57 -0700

librnd (3.0.1-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Mon, 04 Oct 2021 11:30:04 -0600

librnd (3.0.0-3) unstable; urgency=medium

  * add breaks/replaces/provides to improve librnd3-dev replacement of
    librnd-dev, closes: #994921

 -- Bdale Garbee <bdale@gag.com>  Sat, 25 Sep 2021 00:01:00 -0600

librnd (3.0.0-2) unstable; urgency=medium

  * add missing content to debian/copyright identified during NEW processing

 -- Bdale Garbee <bdale@gag.com>  Tue, 14 Sep 2021 09:24:27 -0600

librnd (3.0.0-1) unstable; urgency=medium

  * initial build of new librnd package, separated by upstream from pcb-rnd,
    closes: #990384

 -- Bdale Garbee <bdale@gag.com>  Tue, 20 Jul 2021 23:37:12 -0600

=== debian/control ===
Source: librnd
Section: electronics
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Uploaders: Bdale Garbee <bdale@gag.com>
Build-Depends: debhelper (>= 11), imagemagick, libgd-dev, libgtkglext1-dev, libmotif-dev, libstroke0-dev, libgenht1-dev, libfungw-dev
Standards-Version: 4.5.1
Homepage: http://repo.hu/projects/librnd
Vcs-Git: https://salsa.debian.org/electronics-team/librnd.git
Vcs-Browser: https://salsa.debian.org/electronics-team/librnd

Package: librnd3
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Ringdove 2D CAD library framework
 librnd is a modular framework library for 2D CAD applications. It
 provides the following built-in features:
   - hierarchic configuration files
   - flexible menu and hotkey system
   - HID API for CLI/GUI frontend
   - multi-layer rendering support
   - interactive drawing tool infrastructure
   - action infrastructure
   - polygon clipping
   - turing complete user scripting
 .
 Supported via plugins:
   - CLI/batch frontend
   - gtk2 frontend with gdk software rendering
   - gtk2 frontend with gl hardware accelerated rendering
   - lesstif/motif frontend

Package: librnd3-dev
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, librnd3 (= ${binary:Version}), libfungw-dev, libgenht1-dev
Provides: librnd-dev (= ${binary:Version})
Replaces: librnd-dev (<< 3.0.0-1)
Breaks: librnd-dev (<< 3.0.0-1)
Description: Ringdove 2D cad library, files for development.
 Headers, templates, scripts for compiling Ringdove appliactions.

Package: librnd3-doc
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Documentation for librnd.
 Developer documentation for using librnd.

Package: librnd3-hid-gtk2-gl
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, librnd3 (= ${binary:Version}), librnd3-lib-gtk (= ${binary:Version}), librnd3-lib-gl (= ${binary:Version})
Description: GUI: gtk2, opengl
 Hardware accelerated (opengl) rendering on gtk2.

Package: librnd3-cloud
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, librnd3 (= ${binary:Version})
Description: Networking plugins for accessing remote resources.
 Support library plugin for 'cloud' footprint/symbol access plugin
 that integrates remote, web access resources like edakrill or
 gedasymbols.org.

Package: librnd3-lib-gui
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, librnd3 (= ${binary:Version})
Description: Support library for building the GUI.
 Provides librnd specific dialog boxes (e.g. fontsel) and top window
 GUI elements.

Package: librnd3-hid-gtk2-gdk
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, librnd3 (= ${binary:Version}), librnd3-lib-gtk (= ${binary:Version})
Description: GUI: gtk2, software render
 Software rendering on gtk2, using the gdk API.

Package: librnd3-lib-gtk
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, librnd3 (= ${binary:Version}), librnd3-lib-gui (= ${binary:Version})
Description: Support library for building the GUI with gtk.
 Provides the common gtk code (e.g. dialog box engine, input handling)
 for any gtk based HID plugin.

Package: librnd3-hid-lesstif
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, librnd3 (= ${binary:Version}), librnd3-lib-gui (= ${binary:Version})
Description: GUI: motif/lesstif, software render
 Lightweight GUI and software rendering using the motif (lesstif)
 toolkit.

Package: librnd3-lib-gl
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, librnd3 (= ${binary:Version})
Description: Support library for rendering with opengl.
 Provides plugins for driving an opengl output, rendering the drawing
 on opengl.

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE = 1
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

%:
ifeq (mipsel,$(findstring mipsel,$(DEB_HOST_ARCH)))
	dh $@ --no-parallel
else ifeq (mips64el,$(findstring mips64el,$(DEB_HOST_ARCH)))
	dh $@ --no-parallel
else
	dh $@
endif

override_dh_auto_clean:
	# only try to run dh_auto_clean if configure has been run
	test -f Makefile.conf && dh_auto_clean || true

override_dh_auto_configure:
	./configure \
		--LDFLAGS='$(LDFLAGS)' \
		--CFLAGS='$(CFLAGS) $(CPPFLAGS)' \
		\
		--symbols \
		--prefix=/usr \
		\
		--all=disable \
		--buildin-script \
		--buildin-diag_rnd \
		--buildin-lib_gensexpr \
		--buildin-hid_batch \
		--buildin-lib_portynet \
		--plugin-lib_hid_gl \
		--plugin-hid_gtk2_gdk \
		--plugin-lib_wget \
		--plugin-lib_hid_common \
		--plugin-hid_gtk2_gl \
		--plugin-lib_gtk2_common \
		--plugin-hid_lesstif \
		--plugin-irc \

=== debian/watch ===
version=3
opts=dversionmangle=s/\+repack.*$// \
  http://www.repo.hu/projects/librnd/releases/librnd-(.*)\.tar\.gz

## librnd 3.2.0

=== debian/changelog ===
librnd (3.2.0-1) unstable; urgency=medium

  * new upstream release

 -- Bdale Garbee <bdale@gag.com>  Wed, 13 Jul 2022 09:45:39 -0600

librnd (3.1.2-1) unstable; urgency=medium

  * new upstream release

 -- Bdale Garbee <bdale@gag.com>  Wed, 11 May 2022 23:13:28 -0600

librnd (3.1.1-1) unstable; urgency=medium

  * new upstream release

 -- Bdale Garbee <bdale@gag.com>  Fri, 18 Mar 2022 16:16:05 -0600

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
 Uploaders: Bdale Garbee <bdale@gag.com>
-Build-Depends: debhelper (>= 11), imagemagick, libgd-dev, libgtkglext1-dev, libmotif-dev, libstroke0-dev, libgenht1-dev, libfungw-dev
+Build-Depends: debhelper (>= 11), imagemagick, libgd-dev, libgtkglext1-dev, libmotif-dev, libstroke0-dev, libgenht1-dev, libfungw-dev, libgtk-4-dev
 Standards-Version: 4.5.1
 Homepage: http://repo.hu/projects/librnd
 Vcs-Git: https://salsa.debian.org/electronics-team/librnd.git
@@ -32,7 +32,7 @@
 
 Package: librnd3-dev
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, librnd3 (= ${binary:Version}), libfungw-dev, libgenht1-dev
+Depends: ${misc:Depends}, ${shlibs:Depends}, librnd3 (= ${binary:Version}), libgenht1-dev, libfungw-dev
 Provides: librnd-dev (= ${binary:Version})
 Replaces: librnd-dev (<< 3.0.0-1)
 Breaks: librnd-dev (<< 3.0.0-1)
@@ -92,3 +92,9 @@
 Description: Support library for rendering with opengl.
  Provides plugins for driving an opengl output, rendering the drawing
  on opengl.
+
+Package: librnd3-hid-gtk4-gl
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, librnd3 (= ${binary:Version}), librnd3-lib-gui (= ${binary:Version}), librnd3-lib-gl (= ${binary:Version})
+Description: GUI: gtk4, opengl
+ Hardware accelerated (opengl) rendering on gtk4.

=== debian/rules ===
--- 
+++ 
@@ -35,8 +35,10 @@
 		--plugin-lib_hid_gl \
 		--plugin-hid_gtk2_gdk \
 		--plugin-lib_wget \
+		--plugin-lib_gtk4_common \
 		--plugin-lib_hid_common \
 		--plugin-hid_gtk2_gl \
 		--plugin-lib_gtk2_common \
 		--plugin-hid_lesstif \
+		--plugin-hid_gtk4_gl \
 		--plugin-irc \

## librnd 3.2.2

=== doc/Makefile ===
DEBLIST=../util/devhelpers/deblist.sh
ROOT=..

all:
	ROOT="" ./Autostyle.sh *.html

include ../Makefile.conf

install_main:
	$(SCCBOX) $(HOW) *.html *.txt TODO $(DOCDIR)/

install:
	$(SCCBOX) mkdir -p "$(DOCDIR)"
	cd conf && $(MAKE) install
	cd developer && $(MAKE) install
	$(MAKE) install_main HOW="install -f -d"

linstall:
	cd conf && $(MAKE) linstall
	cd developer && $(MAKE) linstall
	$(MAKE) install_main HOW="install -f -l -d"

uninstall:
	cd conf && $(MAKE) uninstall
	cd developer && $(MAKE) uninstall
	$(MAKE) install_main HOW="install -f -u -d"

clean:
	cd conf && $(MAKE) clean
	cd developer && $(MAKE) clean

distclean:
	cd conf && $(MAKE) distclean
	cd developer && $(MAKE) distclean

=== scconfig/Makefile ===
--- 
+++ 
@@ -64,7 +64,7 @@
 CFLAGS = $(USER_CFLAGS) $(DEFAULT_CFLAGS) $(SCRIPT_CFLAGS) $(PARSER_CFLAGS) $(GENERATOR_CFLAGS) $(TMPASM_CFLAGS) $(C99_CFLAGS) $(PARSGEN_CFLAGS) $(MATH_CFLAGS) $(SOCKET_CFLAGS) $(USERPASS_CFLAGS) $(GUI_CFLAGS)  $(SUL_CFLAGS) $(MENULIB_CFLAGS) -Isrc/default -I.
 LDFLAGS = $(USER_LDFLAGS) $(DEFAULT_LDFLAGS) $(SCRIPT_LDFLAGS) $(PARSER_LDFLAGS) $(GENERATOR_LDFLAGS) $(TMPASM_LDFLAGS) $(C99_LDFLAGS) $(PARSGEN_LDFLAGS) $(MATH_LDFLAGS) $(SOCKET_LDFLAGS) $(USERPASS_LDFLAGS) $(GUI_LDFLAGS) $(SUL_LDFLAGS) $(MENULIB_LDFLAGS)
 
-all: configure revtest sccbox
+all: configure revtest sccbox aru
 
 revtest: revtest.o
 	$(CC) -o revtest revtest.o
@@ -101,6 +101,14 @@
 cquote: src/util/cquote.c
 	$(CC) $(CFLAGS) $(LDFLAGS) -o cquote src/util/cquote.c
 
+
+ARU_OBJS=aru.o src/default/ht.o src/default/str.o
+aru: $(ARU_OBJS)
+	$(CC) $(LDFLAGS) -o aru $(ARU_OBJS)
+
+aru.o: aru.c
+	$(CC) -c $(CFLAGS) -o aru.o  aru.c
+
 clean:
 	-rm $(OBJS) $(DEFAULT_MAIN_OBJS) configure revtest revtest.o cquote core src/util/sccbox.o

=== tests/base64/Makefile ===
ROOT=../..
LIBRND=$(ROOT)/src/librnd/core

CFLAGS = -Wall -g -I$(ROOT)/src

all: main

test: main
	@./main && echo "*** QC PASS ***"

main: main.o $(LIBRND)/base64.o
	$(CC) $(LDFLAGS) -o main   main.o $(LIBRND)/base64.o

main.o: main.c
	$(CC) -o main.o -c $(CFLAGS) main.c

clean:
	-rm main main.o

=== tests/conf/Makefile ===
ROOT=../..
include $(ROOT)/Makefile.conf
include $(ROOT)/src/librnd/core/librnd.mak

CFLAGS = $(PCB_RND_C89FLAGS) -I$(ROOT)/src -I$(ROOT)/src_3rd $(CFLAGS_LIBRND_FUNGW) $(CFLAGS_LIBRND)
LDLIBS = -lm $(LDFLAGS_LIBRND_FUNGW) $(LDFLAGS_LIBRND)

HELPER_OBJS=conf_core.o
LIBRND_OBJS= \
 $(ROOT)/src/librnd/plugins/diag_rnd/diag_rnd.o \
 $(ROOT)/src/librnd-hid.a $(ROOT)/src/librnd-3rd.a

DEPH = \
	$(ROOT)/src/librnd/core/conf.h \
	$(ROOT)/src/librnd/core/conf_hid.h \
	$(ROOT)/src/librnd/core/compat_misc.h \
	conf_core.h diag_conf.h

OBJS = conftest.o help.o

all: conftest

conftest: $(OBJS) $(HELPER_OBJS) $(LIBRND_OBJS)
	$(CC) $(LDFLAGS) $(OBJS) $(HELPER_OBJS) $(LIBRND_OBJS) $(LDLIBS) -o conftest

conftest.o: conftest.c $(DEPH)
	$(CC) $(CFLAGS) -c conftest.c -o conftest.o

help.o: help.c

$(ROOT)/src/librnd/plugins/diag_rnd/diag_rnd.o:  $(ROOT)/src/librnd/plugins/diag_rnd/diag_rnd.c

$(LIBRND_OBJS):
	cd ../../src && make

test:
	cd tests && $(MAKE) all

clean:
	-$(SCCBOX) rm -f conftest tests/*.out $(OBJS) $(HELPER_OBJS)

=== tests/librnd/Makefile ===
TRUNK = ../..
LIBRND_ROOT=include/$(HL_LIBDIR)/..
SCCBX=$(TRUNK)/scconfig/sccbox

include $(TRUNK)/Makefile.conf
include $(TRUNK)/src/librnd/core/librnd.mak


CFLAGS =  -I$(LIBRND_ROOT)/include -I$(LIBRND_ROOT)/include/librnd/src_3rd $(PCB_RND_C89FLAGS) $(CFLAGS_LIBRND)
LDFLAGS = $(LIBRND_RDYNAMIC) $(LDFLAGS_LIBRND)
LIBRND_A = include/$(HL_LIBDIR)/librnd-poly.a include/$(HL_LIBDIR)/librnd-hid.a include/$(HL_LIBDIR)/librnd-3rd.a

all: librnd_test librnd_includes

test: librnd_test librnd_includes
	./librnd_test --gui batch
	./librnd_includes

librnd_objs: $(LIBRND_A)
	$(SCCBX) mkdir -p obj obj/poly obj/hid obj/3rd
	$(SCCBX) rm -f obj/poly/*.o obj/hid/*.o obj/3rd/*.o
	cd obj/hid &&  ar x ../../include/$(HL_LIBDIR)/librnd-hid.a
	cd obj/poly && ar x ../../include/$(HL_LIBDIR)/librnd-poly.a
	cd obj/3rd &&  ar x ../../include/$(HL_LIBDIR)/librnd-3rd.a  


librnd_test: librnd_test.o librnd_objs
	$(CC) -o librnd_test librnd_test.o obj/hid/*.o obj/poly/*.o  obj/3rd/*.o $(LDFLAGS)


librnd_test.o: librnd_test.c includes
	$(CC) $(CFLAGS) -c -o librnd_test.o librnd_test.c

librnd_includes: librnd_includes.o librnd_objs
	$(CC) -o librnd_includes librnd_includes.o  obj/hid/*.o obj/poly/*.o  obj/3rd/*.o $(LDFLAGS)

librd_includes.o: librnd_includes.c includes

$(LIBRND) includes: ../../src/Makefile
	TDIR=`pwd` && cd ../../src && $(MAKE) && $(MAKE) install HOW="install -f" DESTDIR=$$TDIR/include PREFIX=

clean:
	$(SCCBX) rm -f librnd_test librnd_test.o librnd_includes librnd_includes.o
	-TDIR=`pwd` && cd ../../src && $(MAKE) uninstall HOW="uninstall -f" DESTDIR=$$TDIR/include PREFIX=
	-rm -rf include/usr obj

distclean:
	$(SCCBX) rm -f inc_all.h

=== debian/changelog ===
librnd (3.2.2-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Sat, 19 Nov 2022 10:30:17 -0700

librnd (3.2.1-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Thu, 29 Sep 2022 23:05:26 -0600

librnd (3.2.0-4) unstable; urgency=medium

  * enable large file support, closes: #1019729

 -- Bdale Garbee <bdale@gag.com>  Wed, 14 Sep 2022 09:32:17 -0600

librnd (3.2.0-3) unstable; urgency=medium

  * add missing .install file provided by upstream

 -- Bdale Garbee <bdale@gag.com>  Mon, 12 Sep 2022 18:50:51 -0600

librnd (3.2.0-2) unstable; urgency=medium

  * update control per upstream to include additional binary package 

 -- Bdale Garbee <bdale@gag.com>  Fri, 09 Sep 2022 09:28:09 -0600

=== debian/control ===
--- 
+++ 
@@ -37,7 +37,7 @@
 Replaces: librnd-dev (<< 3.0.0-1)
 Breaks: librnd-dev (<< 3.0.0-1)
 Description: Ringdove 2D cad library, files for development.
- Headers, templates, scripts for compiling Ringdove appliactions.
+ Headers, templates, scripts for compiling Ringdove applications.
 
 Package: librnd3-doc
 Architecture: all
@@ -65,6 +65,13 @@
 Description: Support library for building the GUI.
  Provides librnd specific dialog boxes (e.g. fontsel) and top window
  GUI elements.
+
+Package: librnd3-pixmap
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, librnd3 (= ${binary:Version})
+Description: Import and export pixmap images.
+ Low level support for png/jpeg/gif export plugins, low level import
+ pixmap objects using libgd.
 
 Package: librnd3-hid-gtk2-gdk
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,8 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+
+CFLAGS += -D_LARGE_FILE_SOURCE=1 -D_FILE_OFFSET_BITS=64
 
 %:
 ifeq (mipsel,$(findstring mipsel,$(DEB_HOST_ARCH)))
@@ -32,6 +34,8 @@
 		--buildin-lib_gensexpr \
 		--buildin-hid_batch \
 		--buildin-lib_portynet \
+		--buildin-lib_exp_text \
+		--buildin-import_pixmap_pnm \
 		--plugin-lib_hid_gl \
 		--plugin-hid_gtk2_gdk \
 		--plugin-lib_wget \
@@ -39,6 +43,8 @@
 		--plugin-lib_hid_common \
 		--plugin-hid_gtk2_gl \
 		--plugin-lib_gtk2_common \
+		--plugin-import_pixmap_gd \
 		--plugin-hid_lesstif \
 		--plugin-hid_gtk4_gl \
 		--plugin-irc \
+		--plugin-lib_exp_pixmap \

## librnd 4.0.2

=== tests/librnd/Makefile ===
TRUNK = ../..
LIBRND_ROOT=include/$(HL_LIBDIR)/..
SCCBX=$(TRUNK)/scconfig/sccbox

include $(TRUNK)/Makefile.conf
include $(TRUNK)/src/librnd/core/librnd.mak


CFLAGS =  -I$(LIBRND_ROOT)/include/librnd4 -I$(LIBRND_ROOT)/include/librnd4/librnd/src_3rd $(PCB_RND_C89FLAGS) $(CFLAGS_LIBRND_STATIC)
LDFLAGS = $(LIBRND_RDYNAMIC) $(LDFLAGS_LIBRND_STATIC)
LIBRND_A = include/$(HL_LIBDIR)/librnd-font.a include/$(HL_LIBDIR)/librnd-poly.a include/$(HL_LIBDIR)/librnd-hid.a include/$(HL_LIBDIR)/librnd-core.a include/$(HL_LIBDIR)/librnd-3rd.a

all: librnd_test librnd_includes

test: librnd_test librnd_includes
	./librnd_test --gui batch
	./librnd_includes

librnd_objs: $(LIBRND_A)
	$(SCCBX) mkdir -p obj obj/font obj/poly obj/hid obj/core obj/3rd
	$(SCCBX) rm -f obj/font/*.o obj/poly/*.o obj/hid/*.o obj/core/*.o obj/3rd/*.o
	cd obj/hid &&  ar x ../../include/$(HL_LIBDIR)/librnd-hid.a
	cd obj/core &&  ar x ../../include/$(HL_LIBDIR)/librnd-core.a
	cd obj/font && ar x ../../include/$(HL_LIBDIR)/librnd-font.a
	cd obj/poly && ar x ../../include/$(HL_LIBDIR)/librnd-poly.a
	cd obj/3rd &&  ar x ../../include/$(HL_LIBDIR)/librnd-3rd.a  


librnd_test: librnd_test.o librnd_objs
	$(CC) -o librnd_test librnd_test.o obj/hid/*.o obj/core/*.o obj/font/*.o obj/poly/*.o obj/3rd/*.o $(LDFLAGS)


librnd_test.o: librnd_test.c includes
	$(CC) $(CFLAGS) -c -o librnd_test.o librnd_test.c

librnd_includes: librnd_includes.o librnd_objs
	$(CC) -o librnd_includes librnd_includes.o  obj/hid/*.o obj/core/*.o obj/font/*.o obj/poly/*.o  obj/3rd/*.o $(LDFLAGS)

librd_includes.o: librnd_includes.c includes

$(LIBRND) includes: ../../src/Makefile
	TDIR=`pwd` && cd ../../src && $(MAKE) && $(MAKE) install HOW="install -f" DESTDIR=$$TDIR/include PREFIX=

clean:
	$(SCCBX) rm -f librnd_test librnd_test.o librnd_includes librnd_includes.o
	-TDIR=`pwd` && cd ../../src && $(MAKE) uninstall HOW="uninstall -f" DESTDIR=$$TDIR/include PREFIX=
	-rm -rf include/usr obj

distclean:
	$(SCCBX) rm -f inc_all.h

=== tests/rnd_printf/Makefile ===
--- 
+++ 
@@ -11,10 +11,10 @@
 CFLAGS = $(PCB_RND_C89FLAGS) -I$(TRUNK) -I$(SRC) -I$(TRUNK)/src_3rd -I$(TRUNK)/src_3rd/liblihata
 LDLIBS = -lm
 
-LIBPCB_BASE=$(SRC)/librnd-hid.a $(SRC)/librnd-3rd.a
+LIBPCB_BASE=$(SRC)/librnd-hid.a $(SRC)/librnd-core.a $(SRC)/librnd-3rd.a
 
 include $(LIBRND)/core/librnd.mak
-LDFLAGS = $(LDFLAGS_LIBRND)
+LDFLAGS = $(LDFLAGS_LIBRND_STATIC)
 
 
 test: tester.diff

=== doc/developer/polybool/Makefile ===
SVGS= \
	pa_vect_inside_sect.svg \
	t1_1.svg \
	t1_2.svg \
	t1_3.svg \
	t1_4.svg \
	t1_5.svg \
	t1_6.svg \
	fig1.svg \
	fig2.svg \
	fig3.svg \
	fig4.svg \
	fig5.svg \
	fig6.svg \
	fig7.svg \

all: $(SVGS)

pa_vect_inside_sect.svg: src/pa_vect_inside_sect.rp
	pcb-rnd -x svg --outfile $@ src/pa_vect_inside_sect.rp

t1_1.svg: src/t1_1.rp
	pcb-rnd -x svg --opacity 66 --cam $@=top-doc src/t1_1.rp

t1_2.svg: src/t1_2.rp
	pcb-rnd -x svg --opacity 66 --cam $@=top-doc src/t1_2.rp

t1_3.svg: src/t1_3.rp
	pcb-rnd -x svg --opacity 66 --cam $@=top-doc src/t1_3.rp

t1_4.svg: src/t1_4.rp
	pcb-rnd -x svg --opacity 66 --cam $@=top-doc src/t1_4.rp

t1_5.svg: src/t1_5.rp
	pcb-rnd -x svg --opacity 66 --cam $@=top-doc src/t1_5.rp

t1_6.svg: src/t1_6.rp
	pcb-rnd -x svg --opacity 66 --cam $@=top-doc src/t1_6.rp

fig1.svg: src/fig1.rp
	pcb-rnd -x svg --opacity 75 --cam $@=top-doc src/fig1.rp

fig2.svg: src/fig2.rp
	pcb-rnd -x svg --opacity 100 --cam $@=top-doc src/fig2.rp

fig3.svg: src/fig3.rp
	pcb-rnd -x svg --opacity 100 --cam $@=top-doc src/fig3.rp

fig4.svg: src/fig4.rp
	pcb-rnd -x svg --opacity 75 --cam $@=top-doc src/fig4.rp

fig5.svg: src/fig5.rp
	pcb-rnd -x svg --opacity 75 --cam $@=top-doc src/fig5.rp

fig6.svg: src/fig6.rp
	pcb-rnd -x svg --opacity 100 --cam $@=top-doc src/fig6.rp

fig7.svg: src/fig7.rp
	pcb-rnd -x svg --opacity 100 --cam $@=top-doc src/fig7.rp

=== debian/changelog ===
librnd (4.0.2-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Wed, 28 Jun 2023 15:48:12 -0600

librnd (4.0.1-2) unstable; urgency=medium

  * move new upstream version from experimental to unstable, 
    closes: #1031332, #1031445, #1031459

 -- Bdale Garbee <bdale@gag.com>  Sun, 11 Jun 2023 18:05:46 -0600

librnd (4.0.1-1) experimental; urgency=high

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Fri, 21 Apr 2023 16:17:09 -0600

librnd (4.0.0-1) experimental; urgency=high

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Sat, 11 Feb 2023 03:26:41 -0700

librnd (3.2.2-2) UNRELEASED; urgency=medium

  * fix from upstream for scripts.lht not working

 -- Bdale Garbee <bdale@gag.com>  Sat, 14 Jan 2023 11:05:58 -0700

=== debian/control ===
Source: librnd
Section: electronics
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Uploaders: Bdale Garbee <bdale@gag.com>
Build-Depends: debhelper (>= 11), imagemagick, libgd-dev, libgtkglext1-dev, libmotif-dev, libstroke0-dev, libgenht1-dev, libfungw-dev, libgtk-4-dev
Standards-Version: 4.5.1
Homepage: http://repo.hu/projects/librnd
Vcs-Git: https://salsa.debian.org/electronics-team/librnd.git
Vcs-Browser: https://salsa.debian.org/electronics-team/librnd

Package: librnd4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Ringdove 2D CAD library framework
 librnd is a modular framework library for 2D CAD applications. It
 provides the following built-in features:
   - hierarchic configuration files
   - flexible menu and hotkey system
   - HID API for CLI/GUI frontend
   - multi-layer rendering support
   - interactive drawing tool infrastructure
   - action infrastructure
   - polygon clipping
   - turing complete user scripting
 .
 Supported via plugins:
   - CLI/batch frontend
   - gtk2 frontend with gdk software rendering
   - gtk2 frontend with gl hardware accelerated rendering
   - gtk4 frontend with gl hardware accelerated rendering
   - lesstif/motif frontend

Package: librnd4-dev
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, librnd4 (= ${binary:Version}), libgenht1-dev, libfungw-dev
Provides: librnd-dev (= ${binary:Version})
Conflicts: librnd3-dev
Replaces: librnd-dev (<< 4.0.0-1)
Breaks: librnd-dev (<< 4.0.0-1)
Description: Ringdove 2D cad library, files for development.
 Headers, templates, scripts for compiling Ringdove applications.

Package: librnd4-doc
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Documentation for librnd.
 Developer documentation for using librnd.

Package: librnd4-hid-gtk2-gl
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, librnd4 (= ${binary:Version}), librnd4-lib-gtk (= ${binary:Version}), librnd4-lib-gl (= ${binary:Version})
Description: GUI: gtk2, opengl
 Hardware accelerated (opengl) rendering on gtk2.

Package: librnd4-cloud
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, librnd4 (= ${binary:Version})
Description: Networking plugins for accessing remote resources.
 Support library plugin for 'cloud' footprint/symbol access plugin
 that integrates remote, web access resources like edakrill or
 gedasymbols.org.

Package: librnd4-lib-gui
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, librnd4 (= ${binary:Version})
Description: Support library for building the GUI.
 Provides librnd specific dialog boxes (e.g. fontsel) and top window
 GUI elements.

Package: librnd4-pixmap
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, librnd4 (= ${binary:Version})
Description: Import and export pixmap images.
 Low level support for png/jpeg/gif export plugins, low level import
 pixmap objects using libgd.

Package: librnd4-hid-gtk2-gdk
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, librnd4 (= ${binary:Version}), librnd4-lib-gtk (= ${binary:Version})
Description: GUI: gtk2, software render
 Software rendering on gtk2, using the gdk API.

Package: librnd4-lib-gtk
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, librnd4 (= ${binary:Version}), librnd4-lib-gui (= ${binary:Version})
Description: Support library for building the GUI with gtk.
 Provides the common gtk code (e.g. dialog box engine, input handling)
 for any gtk based HID plugin.

Package: librnd4-hid-lesstif
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, librnd4 (= ${binary:Version}), librnd4-lib-gui (= ${binary:Version})
Description: GUI: motif/lesstif, software render
 Lightweight GUI and software rendering using the motif (lesstif)
 toolkit.

Package: librnd4-lib-gl
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, librnd4 (= ${binary:Version})
Description: Support library for rendering with opengl.
 Provides plugins for driving an opengl output, rendering the drawing
 on opengl.

Package: librnd4-hid-gtk4-gl
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, librnd4 (= ${binary:Version}), librnd4-lib-gui (= ${binary:Version}), librnd4-lib-gl (= ${binary:Version})
Description: GUI: gtk4, opengl
 Hardware accelerated (opengl) rendering on gtk4.

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,8 @@
 include /usr/share/dpkg/buildflags.mk
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
+# Workaround on exotic archs, probably any 32 bit arch with 64 bit kernel
+# see bug #1019729
 CFLAGS += -D_LARGE_FILE_SOURCE=1 -D_FILE_OFFSET_BITS=64
 
 %:

## librnd 4.1.1

=== debian/changelog ===
librnd (4.1.1-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Sat, 13 Jan 2024 02:12:54 -0700

librnd (4.1.0-3) unstable; urgency=medium

  * upstream recommends additional packaging simplification if we're not
    going to support gtk 2 at all any more, which is true

 -- Bdale Garbee <bdale@gag.com>  Thu, 09 Nov 2023 23:07:19 -0700

librnd (4.1.0-2) unstable; urgency=medium

  * stop including support for gtk2 due to immediate gtkglext deprecation,
    and plans for complete gtk 2 removal in Debian trixie release

 -- Bdale Garbee <bdale@gag.com>  Thu, 09 Nov 2023 10:10:20 -0700

librnd (4.1.0-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Tue, 07 Nov 2023 22:29:35 -0700

librnd (4.0.3-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Tue, 26 Sep 2023 23:46:27 -0600

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
 Uploaders: Bdale Garbee <bdale@gag.com>
-Build-Depends: debhelper (>= 11), imagemagick, libgd-dev, libgtkglext1-dev, libmotif-dev, libstroke0-dev, libgenht1-dev, libfungw-dev, libgtk-4-dev
+Build-Depends: debhelper (>= 11), imagemagick, libgd-dev, libmotif-dev, libstroke0-dev, libgenht1-dev, libfungw-dev, libgtk-4-dev, libepoxy-dev, libglu1-mesa-dev | libglu-dev
 Standards-Version: 4.5.1
 Homepage: http://repo.hu/projects/librnd
 Vcs-Git: https://salsa.debian.org/electronics-team/librnd.git
@@ -26,8 +26,6 @@
  .
  Supported via plugins:
    - CLI/batch frontend
-   - gtk2 frontend with gdk software rendering
-   - gtk2 frontend with gl hardware accelerated rendering
    - gtk4 frontend with gl hardware accelerated rendering
    - lesstif/motif frontend
 
@@ -46,12 +44,6 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Documentation for librnd.
  Developer documentation for using librnd.
-
-Package: librnd4-hid-gtk2-gl
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, librnd4 (= ${binary:Version}), librnd4-lib-gtk (= ${binary:Version}), librnd4-lib-gl (= ${binary:Version})
-Description: GUI: gtk2, opengl
- Hardware accelerated (opengl) rendering on gtk2.
 
 Package: librnd4-cloud
 Architecture: any
@@ -75,19 +67,6 @@
  Low level support for png/jpeg/gif export plugins, low level import
  pixmap objects using libgd.
 
-Package: librnd4-hid-gtk2-gdk
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, librnd4 (= ${binary:Version}), librnd4-lib-gtk (= ${binary:Version})
-Description: GUI: gtk2, software render
- Software rendering on gtk2, using the gdk API.
-
-Package: librnd4-lib-gtk
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, librnd4 (= ${binary:Version}), librnd4-lib-gui (= ${binary:Version})
-Description: Support library for building the GUI with gtk.
- Provides the common gtk code (e.g. dialog box engine, input handling)
- for any gtk based HID plugin.
-
 Package: librnd4-hid-lesstif
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, librnd4 (= ${binary:Version}), librnd4-lib-gui (= ${binary:Version})

## librnd 4.2.0

=== doc/Makefile ===
--- 
+++ 
@@ -1,4 +1,3 @@
-DEBLIST=../util/devhelpers/deblist.sh
 ROOT=..
 
 all:

=== scconfig/Makefile ===
--- 
+++ 
@@ -64,6 +64,25 @@
 CFLAGS = $(USER_CFLAGS) $(DEFAULT_CFLAGS) $(SCRIPT_CFLAGS) $(PARSER_CFLAGS) $(GENERATOR_CFLAGS) $(TMPASM_CFLAGS) $(C99_CFLAGS) $(PARSGEN_CFLAGS) $(MATH_CFLAGS) $(SOCKET_CFLAGS) $(USERPASS_CFLAGS) $(GUI_CFLAGS)  $(SUL_CFLAGS) $(MENULIB_CFLAGS) -Isrc/default -I.
 LDFLAGS = $(USER_LDFLAGS) $(DEFAULT_LDFLAGS) $(SCRIPT_LDFLAGS) $(PARSER_LDFLAGS) $(GENERATOR_LDFLAGS) $(TMPASM_LDFLAGS) $(C99_LDFLAGS) $(PARSGEN_LDFLAGS) $(MATH_LDFLAGS) $(SOCKET_LDFLAGS) $(USERPASS_LDFLAGS) $(GUI_LDFLAGS) $(SUL_LDFLAGS) $(MENULIB_LDFLAGS)
 
+DISTCLEAN_FILES= \
+	../config.h \
+	../Makefile.conf \
+	../src/Makefile \
+	../src/librnd/poly/polyconf.h \
+	../src/librnd/polybool/polyconf.h \
+	../util/gsch2pcb-rnd/Makefile \
+	config.cache \
+	config.log \
+	Rev.stamp \
+	sccbox \
+	aru \
+	aru.o \
+	gmon.out \
+	../src_3rd/puplug/Makefile \
+	../src_3rd/puplug/config.h \
+	../src/librnd/plugins/lib_hid_gl/opengl.h \
+	../src/librnd/plugins/lib_hid_gl/draw_INIT.h
+
 all: configure revtest sccbox aru
 
 revtest: revtest.o
@@ -113,5 +132,5 @@
 	-rm $(OBJS) $(DEFAULT_MAIN_OBJS) configure revtest revtest.o cquote core src/util/sccbox.o
 
 distclean:
-	-rm ../config.h ../Makefile.conf ../src/Makefile ../util/gsch2pcb-rnd/Makefile config.cache config.log Rev.stamp sccbox gmon.out ../src_3rd/puplug/Makefile ../src_3rd/puplug/config.h ../src_plugins/lib_hid_gl/opengl.h
+	-rm $(DISTCLEAN_FILES)
 	-$(MAKE) clean

=== tests/librnd/Makefile ===
TRUNK = ../..
LIBRND_ROOT=include/$(HL_LIBDIR)/..
SCCBX=$(TRUNK)/scconfig/sccbox

include $(TRUNK)/Makefile.conf
include $(TRUNK)/src/librnd/core/librnd.mak


CFLAGS =  -I$(LIBRND_ROOT)/include/librnd4 -I$(LIBRND_ROOT)/include/librnd4/librnd/src_3rd $(PCB_RND_C89FLAGS) $(CFLAGS_LIBRND_STATIC)
LDFLAGS = $(LIBRND_RDYNAMIC) $(LDFLAGS_LIBRND_STATIC)
LIBRND_A = include/$(HL_LIBDIR)/librnd-font2.a include/$(HL_LIBDIR)/librnd-poly.a include/$(HL_LIBDIR)/librnd-hid.a include/$(HL_LIBDIR)/librnd-core.a include/$(HL_LIBDIR)/librnd-3rd.a

all: librnd_test librnd_includes

test: librnd_test librnd_includes
	./librnd_test --gui batch
	./librnd_includes

librnd_objs: $(LIBRND_A)
	$(SCCBX) mkdir -p obj obj/font2 obj/poly obj/hid obj/core obj/3rd
	$(SCCBX) rm -f obj/font2/*.o obj/poly/*.o obj/hid/*.o obj/core/*.o obj/3rd/*.o
	cd obj/hid &&  ar x ../../include/$(HL_LIBDIR)/librnd-hid.a
	cd obj/core &&  ar x ../../include/$(HL_LIBDIR)/librnd-core.a
	cd obj/font2 && ar x ../../include/$(HL_LIBDIR)/librnd-font2.a
	cd obj/poly && ar x ../../include/$(HL_LIBDIR)/librnd-poly.a
	cd obj/3rd &&  ar x ../../include/$(HL_LIBDIR)/librnd-3rd.a  


librnd_test: librnd_test.o librnd_objs
	$(CC) -o librnd_test librnd_test.o obj/hid/*.o obj/core/*.o obj/font2/*.o obj/poly/*.o obj/3rd/*.o $(LDFLAGS)


librnd_test.o: librnd_test.c includes
	$(CC) $(CFLAGS) -c -o librnd_test.o librnd_test.c

librnd_includes: librnd_includes.o librnd_objs
	$(CC) -o librnd_includes librnd_includes.o  obj/hid/*.o obj/core/*.o obj/font2/*.o obj/poly/*.o  obj/3rd/*.o $(LDFLAGS)

librd_includes.o: librnd_includes.c includes

$(LIBRND) includes: ../../src/Makefile
	TDIR=`pwd` && cd ../../src && $(MAKE) && $(MAKE) install HOW="install -f" DESTDIR=$$TDIR/include PREFIX=

clean:
	$(SCCBX) rm -f librnd_test librnd_test.o librnd_includes librnd_includes.o
	-TDIR=`pwd` && cd ../../src && $(MAKE) uninstall HOW="uninstall -f" DESTDIR=$$TDIR/include PREFIX=
	-rm -rf include/usr obj

distclean:
	$(SCCBX) rm -f inc_all.h

=== doc/developer/hidlib/src/Makefile ===
../render.svg: render.dot
	dot -Tsvg < render.dot > ../render.svg

=== debian/changelog ===
librnd (4.2.0-1) unstable; urgency=medium

  * new upstream version, closes: #1049315, #1066248
  * move salsa repository to ringdove-eda group

 -- Bdale Garbee <bdale@gag.com>  Thu, 11 Apr 2024 00:44:25 -0600

librnd (4.1.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062610

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 17:20:34 +0000

=== debian/control ===
Source: librnd
Section: electronics
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Uploaders: Bdale Garbee <bdale@gag.com>
Build-Depends: dpkg-dev (>= 1.22.5), debhelper (>= 11), imagemagick, libgd-dev, libmotif-dev, libstroke0-dev, libgenht1-dev, libfungw-dev, libgtk-4-dev, libepoxy-dev, libglu1-mesa-dev | libglu-dev
Standards-Version: 4.5.1
Homepage: http://repo.hu/projects/librnd
Vcs-Git: https://salsa.debian.org/electronics-team/ringdove-eda/librnd.git
Vcs-Browser: https://salsa.debian.org/electronics-team/ringdove-eda/librnd

Package: librnd4t64
Provides: ${t64:Provides}
Replaces: librnd4
Breaks: librnd4 (<< ${source:Version})
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Ringdove 2D CAD library framework
 librnd is a modular framework library for 2D CAD applications. It
 provides the following built-in features:
   - hierarchic configuration files
   - flexible menu and hotkey system
   - HID API for CLI/GUI frontend
   - multi-layer rendering support
   - interactive drawing tool infrastructure
   - action infrastructure
   - polygon clipping
   - turing complete user scripting
 .
 Supported via plugins:
   - CLI/batch frontend
   - gtk4 frontend with gl hardware accelerated rendering
   - lesstif/motif frontend

Package: librnd4-dev
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, librnd4t64 (= ${binary:Version}), libgenht1-dev, libfungw-dev
Provides: librnd-dev (= ${binary:Version})
Conflicts: librnd3-dev
Replaces: librnd-dev (<< 4.0.0-1)
Breaks: librnd-dev (<< 4.0.0-1)
Description: Ringdove 2D cad library, files for development.
 Headers, templates, scripts for compiling Ringdove applications.

Package: librnd4-doc
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Documentation for librnd.
 Developer documentation for using librnd.

Package: librnd4-cloud
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, librnd4t64 (= ${binary:Version})
Description: Networking plugins for accessing remote resources.
 Support library plugin for 'cloud' footprint/symbol access plugin
 that integrates remote, web access resources like edakrill or
 gedasymbols.org.

Package: librnd4-lib-gui
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, librnd4t64 (= ${binary:Version})
Description: Support library for building the GUI.
 Provides librnd specific dialog boxes (e.g. fontsel) and top window
 GUI elements.

Package: librnd4-pixmap
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, librnd4t64 (= ${binary:Version})
Description: Import and export pixmap images.
 Low level support for png/jpeg/gif export plugins, low level import
 pixmap objects using libgd.

Package: librnd4-hid-lesstif
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, librnd4t64 (= ${binary:Version}), librnd4-lib-gui (= ${binary:Version})
Description: GUI: motif/lesstif, software render
 Lightweight GUI and software rendering using the motif (lesstif)
 toolkit.

Package: librnd4-lib-gl
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, librnd4t64 (= ${binary:Version})
Description: Support library for rendering with opengl.
 Provides plugins for driving an opengl output, rendering the drawing
 on opengl.

Package: librnd4-hid-gtk4-gl
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, librnd4t64 (= ${binary:Version}), librnd4-lib-gui (= ${binary:Version}), librnd4-lib-gl (= ${binary:Version})
Description: GUI: gtk4, opengl
 Hardware accelerated (opengl) rendering on gtk4.

=== debian/rules ===
--- 
+++ 
@@ -39,12 +39,9 @@
 		--buildin-lib_exp_text \
 		--buildin-import_pixmap_pnm \
 		--plugin-lib_hid_gl \
-		--plugin-hid_gtk2_gdk \
 		--plugin-lib_wget \
 		--plugin-lib_gtk4_common \
 		--plugin-lib_hid_common \
-		--plugin-hid_gtk2_gl \
-		--plugin-lib_gtk2_common \
 		--plugin-import_pixmap_gd \
 		--plugin-hid_lesstif \
 		--plugin-hid_gtk4_gl \

## librnd 4.3.0

=== debian/changelog ===
librnd (4.3.0-1) unstable; urgency=medium

  * new upstream release, closes: #1075202

 -- Bdale Garbee <bdale@gag.com>  Wed, 14 Aug 2024 23:36:03 -0600

librnd (4.2.0-2) unstable; urgency=medium

  * turn off -Werror=implicit-function-declaration since it breaks scconfig,
    closes: #1069270

 -- Bdale Garbee <bdale@gag.com>  Sat, 25 May 2024 00:29:26 -0600

## librnd 4.3.1

=== debian/changelog ===
librnd (4.3.1-3) unstable; urgency=medium

  * updated patch from upstream to force tests to run sequentially, 
    closes: #1091019

 -- Bdale Garbee <bdale@gag.com>  Thu, 02 Jan 2025 23:34:02 -0700

librnd (4.3.1-2) unstable; urgency=medium

  * patch from upstream to fix parallel build race condition, 
    closes: #1089266

 -- Bdale Garbee <bdale@gag.com>  Thu, 12 Dec 2024 01:11:04 -0700

librnd (4.3.1-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Thu, 14 Nov 2024 21:18:59 -0700
